/*Font*/

/* cyrillic-ext */
@font-face {
    font-family: 'Oswald';
    font-style: normal;
    font-weight: 200;
    src: url(https://fonts.gstatic.com/s/oswald/v53/TK3iWkUHHAIjg752FD8Ghe4.woff2) format('woff2');
    unicode-range: U+0460-052F, U+1C80-1C88, U+20B4, U+2DE0-2DFF, U+A640-A69F, U+FE2E-FE2F;
  }
  /* cyrillic */
  @font-face {
    font-family: 'Oswald';
    font-style: normal;
    font-weight: 200;
    src: url(https://fonts.gstatic.com/s/oswald/v53/TK3iWkUHHAIjg752HT8Ghe4.woff2) format('woff2');
    unicode-range: U+0301, U+0400-045F, U+0490-0491, U+04B0-04B1, U+2116;
  }
  /* vietnamese */
  @font-face {
    font-family: 'Oswald';
    font-style: normal;
    font-weight: 200;
    src: url(https://fonts.gstatic.com/s/oswald/v53/TK3iWkUHHAIjg752Fj8Ghe4.woff2) format('woff2');
    unicode-range: U+0102-0103, U+0110-0111, U+0128-0129, U+0168-0169, U+01A0-01A1, U+01AF-01B0, U+0300-0301, U+0303-0304, U+0308-0309, U+0323, U+0329, U+1EA0-1EF9, U+20AB;
  }
  /* latin-ext */
  @font-face {
    font-family: 'Oswald';
    font-style: normal;
    font-weight: 200;
    src: url(https://fonts.gstatic.com/s/oswald/v53/TK3iWkUHHAIjg752Fz8Ghe4.woff2) format('woff2');
    unicode-range: U+0100-02AF, U+0304, U+0308, U+0329, U+1E00-1E9F, U+1EF2-1EFF, U+2020, U+20A0-20AB, U+20AD-20CF, U+2113, U+2C60-2C7F, U+A720-A7FF;
  }
  /* latin */
  @font-face {
    font-family: 'Oswald';
    font-style: normal;
    font-weight: 200;
    src: url(https://fonts.gstatic.com/s/oswald/v53/TK3iWkUHHAIjg752GT8G.woff2) format('woff2');
    unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+2074, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;
  }
  /* cyrillic-ext */
  @font-face {
    font-family: 'Oswald';
    font-style: normal;
    font-weight: 300;
    src: url(https://fonts.gstatic.com/s/oswald/v53/TK3iWkUHHAIjg752FD8Ghe4.woff2) format('woff2');
    unicode-range: U+0460-052F, U+1C80-1C88, U+20B4, U+2DE0-2DFF, U+A640-A69F, U+FE2E-FE2F;
  }
  /* cyrillic */
  @font-face {
    font-family: 'Oswald';
    font-style: normal;
    font-weight: 300;
    src: url(https://fonts.gstatic.com/s/oswald/v53/TK3iWkUHHAIjg752HT8Ghe4.woff2) format('woff2');
    unicode-range: U+0301, U+0400-045F, U+0490-0491, U+04B0-04B1, U+2116;
  }
  /* vietnamese */
  @font-face {
    font-family: 'Oswald';
    font-style: normal;
    font-weight: 300;
    src: url(https://fonts.gstatic.com/s/oswald/v53/TK3iWkUHHAIjg752Fj8Ghe4.woff2) format('woff2');
    unicode-range: U+0102-0103, U+0110-0111, U+0128-0129, U+0168-0169, U+01A0-01A1, U+01AF-01B0, U+0300-0301, U+0303-0304, U+0308-0309, U+0323, U+0329, U+1EA0-1EF9, U+20AB;
  }
  /* latin-ext */
  @font-face {
    font-family: 'Oswald';
    font-style: normal;
    font-weight: 300;
    src: url(https://fonts.gstatic.com/s/oswald/v53/TK3iWkUHHAIjg752Fz8Ghe4.woff2) format('woff2');
    unicode-range: U+0100-02AF, U+0304, U+0308, U+0329, U+1E00-1E9F, U+1EF2-1EFF, U+2020, U+20A0-20AB, U+20AD-20CF, U+2113, U+2C60-2C7F, U+A720-A7FF;
  }
  /* latin */
  @font-face {
    font-family: 'Oswald';
    font-style: normal;
    font-weight: 300;
    src: url(https://fonts.gstatic.com/s/oswald/v53/TK3iWkUHHAIjg752GT8G.woff2) format('woff2');
    unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+2074, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;
  }
  /* cyrillic-ext */
  @font-face {
    font-family: 'Oswald';
    font-style: normal;
    font-weight: 400;
    src: url(https://fonts.gstatic.com/s/oswald/v53/TK3iWkUHHAIjg752FD8Ghe4.woff2) format('woff2');
    unicode-range: U+0460-052F, U+1C80-1C88, U+20B4, U+2DE0-2DFF, U+A640-A69F, U+FE2E-FE2F;
  }
  /* cyrillic */
  @font-face {
    font-family: 'Oswald';
    font-style: normal;
    font-weight: 400;
    src: url(https://fonts.gstatic.com/s/oswald/v53/TK3iWkUHHAIjg752HT8Ghe4.woff2) format('woff2');
    unicode-range: U+0301, U+0400-045F, U+0490-0491, U+04B0-04B1, U+2116;
  }
  /* vietnamese */
  @font-face {
    font-family: 'Oswald';
    font-style: normal;
    font-weight: 400;
    src: url(https://fonts.gstatic.com/s/oswald/v53/TK3iWkUHHAIjg752Fj8Ghe4.woff2) format('woff2');
    unicode-range: U+0102-0103, U+0110-0111, U+0128-0129, U+0168-0169, U+01A0-01A1, U+01AF-01B0, U+0300-0301, U+0303-0304, U+0308-0309, U+0323, U+0329, U+1EA0-1EF9, U+20AB;
  }
  /* latin-ext */
  @font-face {
    font-family: 'Oswald';
    font-style: normal;
    font-weight: 400;
    src: url(https://fonts.gstatic.com/s/oswald/v53/TK3iWkUHHAIjg752Fz8Ghe4.woff2) format('woff2');
    unicode-range: U+0100-02AF, U+0304, U+0308, U+0329, U+1E00-1E9F, U+1EF2-1EFF, U+2020, U+20A0-20AB, U+20AD-20CF, U+2113, U+2C60-2C7F, U+A720-A7FF;
  }
  /* latin */
  @font-face {
    font-family: 'Oswald';
    font-style: normal;
    font-weight: 400;
    src: url(https://fonts.gstatic.com/s/oswald/v53/TK3iWkUHHAIjg752GT8G.woff2) format('woff2');
    unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+2074, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;
  }
  /* cyrillic-ext */
  @font-face {
    font-family: 'Oswald';
    font-style: normal;
    font-weight: 500;
    src: url(https://fonts.gstatic.com/s/oswald/v53/TK3iWkUHHAIjg752FD8Ghe4.woff2) format('woff2');
    unicode-range: U+0460-052F, U+1C80-1C88, U+20B4, U+2DE0-2DFF, U+A640-A69F, U+FE2E-FE2F;
  }
  /* cyrillic */
  @font-face {
    font-family: 'Oswald';
    font-style: normal;
    font-weight: 500;
    src: url(https://fonts.gstatic.com/s/oswald/v53/TK3iWkUHHAIjg752HT8Ghe4.woff2) format('woff2');
    unicode-range: U+0301, U+0400-045F, U+0490-0491, U+04B0-04B1, U+2116;
  }
  /* vietnamese */
  @font-face {
    font-family: 'Oswald';
    font-style: normal;
    font-weight: 500;
    src: url(https://fonts.gstatic.com/s/oswald/v53/TK3iWkUHHAIjg752Fj8Ghe4.woff2) format('woff2');
    unicode-range: U+0102-0103, U+0110-0111, U+0128-0129, U+0168-0169, U+01A0-01A1, U+01AF-01B0, U+0300-0301, U+0303-0304, U+0308-0309, U+0323, U+0329, U+1EA0-1EF9, U+20AB;
  }
  /* latin-ext */
  @font-face {
    font-family: 'Oswald';
    font-style: normal;
    font-weight: 500;
    src: url(https://fonts.gstatic.com/s/oswald/v53/TK3iWkUHHAIjg752Fz8Ghe4.woff2) format('woff2');
    unicode-range: U+0100-02AF, U+0304, U+0308, U+0329, U+1E00-1E9F, U+1EF2-1EFF, U+2020, U+20A0-20AB, U+20AD-20CF, U+2113, U+2C60-2C7F, U+A720-A7FF;
  }
  /* latin */
  @font-face {
    font-family: 'Oswald';
    font-style: normal;
    font-weight: 500;
    src: url(https://fonts.gstatic.com/s/oswald/v53/TK3iWkUHHAIjg752GT8G.woff2) format('woff2');
    unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+2074, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;
  }
  /* cyrillic-ext */
  @font-face {
    font-family: 'Oswald';
    font-style: normal;
    font-weight: 600;
    src: url(https://fonts.gstatic.com/s/oswald/v53/TK3iWkUHHAIjg752FD8Ghe4.woff2) format('woff2');
    unicode-range: U+0460-052F, U+1C80-1C88, U+20B4, U+2DE0-2DFF, U+A640-A69F, U+FE2E-FE2F;
  }
  /* cyrillic */
  @font-face {
    font-family: 'Oswald';
    font-style: normal;
    font-weight: 600;
    src: url(https://fonts.gstatic.com/s/oswald/v53/TK3iWkUHHAIjg752HT8Ghe4.woff2) format('woff2');
    unicode-range: U+0301, U+0400-045F, U+0490-0491, U+04B0-04B1, U+2116;
  }
  /* vietnamese */
  @font-face {
    font-family: 'Oswald';
    font-style: normal;
    font-weight: 600;
    src: url(https://fonts.gstatic.com/s/oswald/v53/TK3iWkUHHAIjg752Fj8Ghe4.woff2) format('woff2');
    unicode-range: U+0102-0103, U+0110-0111, U+0128-0129, U+0168-0169, U+01A0-01A1, U+01AF-01B0, U+0300-0301, U+0303-0304, U+0308-0309, U+0323, U+0329, U+1EA0-1EF9, U+20AB;
  }
  /* latin-ext */
  @font-face {
    font-family: 'Oswald';
    font-style: normal;
    font-weight: 600;
    src: url(https://fonts.gstatic.com/s/oswald/v53/TK3iWkUHHAIjg752Fz8Ghe4.woff2) format('woff2');
    unicode-range: U+0100-02AF, U+0304, U+0308, U+0329, U+1E00-1E9F, U+1EF2-1EFF, U+2020, U+20A0-20AB, U+20AD-20CF, U+2113, U+2C60-2C7F, U+A720-A7FF;
  }
  /* latin */
  @font-face {
    font-family: 'Oswald';
    font-style: normal;
    font-weight: 600;
    src: url(https://fonts.gstatic.com/s/oswald/v53/TK3iWkUHHAIjg752GT8G.woff2) format('woff2');
    unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+2074, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;
  }
  /* cyrillic-ext */
  @font-face {
    font-family: 'Oswald';
    font-style: normal;
    font-weight: 700;
    src: url(https://fonts.gstatic.com/s/oswald/v53/TK3iWkUHHAIjg752FD8Ghe4.woff2) format('woff2');
    unicode-range: U+0460-052F, U+1C80-1C88, U+20B4, U+2DE0-2DFF, U+A640-A69F, U+FE2E-FE2F;
  }
  /* cyrillic */
  @font-face {
    font-family: 'Oswald';
    font-style: normal;
    font-weight: 700;
    src: url(https://fonts.gstatic.com/s/oswald/v53/TK3iWkUHHAIjg752HT8Ghe4.woff2) format('woff2');
    unicode-range: U+0301, U+0400-045F, U+0490-0491, U+04B0-04B1, U+2116;
  }
  /* vietnamese */
  @font-face {
    font-family: 'Oswald';
    font-style: normal;
    font-weight: 700;
    src: url(https://fonts.gstatic.com/s/oswald/v53/TK3iWkUHHAIjg752Fj8Ghe4.woff2) format('woff2');
    unicode-range: U+0102-0103, U+0110-0111, U+0128-0129, U+0168-0169, U+01A0-01A1, U+01AF-01B0, U+0300-0301, U+0303-0304, U+0308-0309, U+0323, U+0329, U+1EA0-1EF9, U+20AB;
  }
  /* latin-ext */
  @font-face {
    font-family: 'Oswald';
    font-style: normal;
    font-weight: 700;
    src: url(https://fonts.gstatic.com/s/oswald/v53/TK3iWkUHHAIjg752Fz8Ghe4.woff2) format('woff2');
    unicode-range: U+0100-02AF, U+0304, U+0308, U+0329, U+1E00-1E9F, U+1EF2-1EFF, U+2020, U+20A0-20AB, U+20AD-20CF, U+2113, U+2C60-2C7F, U+A720-A7FF;
  }
  /* latin */
  @font-face {
    font-family: 'Oswald';
    font-style: normal;
    font-weight: 700;
    src: url(https://fonts.gstatic.com/s/oswald/v53/TK3iWkUHHAIjg752GT8G.woff2) format('woff2');
    unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+2074, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;
  }

/*General*/
:root {
    --color1: #8c97cd;
    --color2: #8cccce;
    --color3: #a18dcd;
    --color4: #ffffff;
    --color5: #000000;
}


* {
    box-sizing: border-box;
}

body {
    margin: 0;
    font-family: "Oswald";
    color: var(--color4);
    background-color: var(--color5);
    font-size: 20px;
    letter-spacing: 1px;
}

h1 {
    text-align: center;
    padding-bottom: 40px;
    margin: 10px;
}

h2 {
  text-align: center;
}

h3 {
  font-size: smaller;
  font-weight: 300;
}

p {
  margin: 30px 0;
}

.h2-centered {
  text-align: center;
}

.color-1 {
    background-color: var(--color1);
    text-align: center;
}

.color-4 {
    background-color: var(--color4);
    color: var(--color5);
}

.color-5 {
    background-color: var(--color5);
}

.logo {
    height: 100px;
    margin: 20px;
}

.text-logo {
  height: 50px;
}

nav {
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;
}

nav * {
  margin: 0 10px;
}

a {
  margin: 20px;
  font-size: 25px;
  color: var(--color4);
  text-decoration: none;
  transition: color 0.2s, text-decoration 0.2s, font-weight 0.2s, font-size 0.2s;
}

.infos-link {
  margin: 0; 
  color: var(--color1);
  font-size: 20px;
}

.infos-link {
  cursor: pointer;
}

.fa-file {
  margin: 20px;
  font-size: 24px;
  color: var(--color2);
  text-decoration: none;
  transition: color 0.2s, text-decoration 0.2s, font-weight 0.2s, font-size 0.2s;
}

a:hover {
  color: var(--color1);
  text-decoration: underline;
  font-weight: bold;
  font-size: x-large;
}

.fa-file:hover {
  color: var(--color1);
  cursor: pointer;
  font-size: xx-large;
}

article {
  margin: 20px;
}

.zoom-animation {
  transition: transform 0.2s;
}

.zoom-animation:hover {
  transform: scale(1.01);
  outline: 1px solid red;
}

.inline {
  display: inline;
}

.no-margin {
  margin: 0;
}

.flex-box {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
}

.flex-box * {
  flex-basis: 100%;
}

#banner-vid {
  display: none;
}

.vid-background {
  width: 100%;
  z-index: 3;
}

.vid-infos {
  padding: 0 20px;
}

video {
  height: 100%;
  width: 100%;
  object-fit: cover;
  opacity: 0.85;
}

#writting-logo {
  height: 150px;
  width: auto;
  opacity: 1;
  object-fit: contain;
}

.writting-logo-div {
  display: flex;
  align-items: center;
  justify-content: center;
}

.coutdown-container {
  display: flex;
  justify-content: center;
}

.countdown{
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: space-evenly;
  width: 30em;
  height: 20em;
}

.text:has(.t-1, .t-3){
  text-align: center;
  font-size: 1.1em;
  font-weight: bold;
}

.text .t-2{
  font-size: 3em;
}

.date{
  display: flex;
  justify-content: space-evenly;
  width: 100%;
  text-align: center;
  font-weight: bold;
}

.date .n{
  padding: 10px;
  border: 2px solid white;
  border-radius: 5px;
}

.date :is(.days, .hours, .minutes, .seconds) div:nth-child(1){
  font-size: 3em;
}

@keyframes fall {
  to {
    transform: translateY(100vh);
  }
}

.snowflakes {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  pointer-events: none;
  z-index: 2;
}

.snowflake {
  position: absolute;
  width: 3px;
  height: 3px;
  background-color: #ffffff;
  border-radius: 50%;
  opacity: 0.6;
  pointer-events: none;
  animation: fall linear infinite;
}

.savoir-plus {
  color: var(--color1);
  font-size: small;
  margin: 0;
}

.savoir-plus:hover {
  font-size: medium;
}

.catchphrase {
  text-align: center;
}

#inscription-link {
  background-color: var(--color2);
  color: var(--color4);
  font-size: xx-large;
  width: 100%;
  border-radius: 5px;
  border: none;
  margin: 30px 0;
  padding: 10px;
  text-align: center;
}

#inscription-link:hover {
  cursor: pointer;
}

.bu-non-active {
  position: relative;
  background-color: #ff3636 !important;
  color: #00000096 !important;
  cursor: not-allowed !important;

  /* Motif de hachures en diagonale avec des lignes plus visibles et orientées différemment */
  background-image: linear-gradient(135deg, transparent 15%, rgba(255, 255, 255, 0.2) 15%, rgba(255, 255, 255, 0.2) 50%, transparent 50%, transparent 85%, rgba(255, 255, 255, 0.2) 85%, rgba(255, 255, 255, 0.2) 100%);
  background-size: 30px 30px; /* Taille du motif */
}

#contact-photo {
  height: auto; 
  width: 100%;
  object-fit: cover;
}

form {
  max-width: 600px;
  margin: auto;
  padding: 15px;
  border-radius: 15px;
  background-color: var(--color2);
}

label {
  display: block;
  margin-bottom: 10px;
  color: var(--color5);
}

input, select {
  width: 100%;
  padding: 8px;
  margin-bottom: 15px;
  box-sizing: border-box;
  border-radius: 15px;
  border: none;
}

input[type="submit"] {
  background-color: var(--color1);
  color: var(--color5);
  border: none;
  border-radius: 15px;
  padding: 10px 15px;
  margin-top: 15px;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  font-size: larger;
  cursor: pointer;
}

#charte {
  color: var(--color5);
}

.infos-compte {
  display: grid;
  justify-content: flex-start;
  margin: 15px;
  margin-bottom: 50px;
}

.infos-compte * {
  margin: 5px;
}

.formulaire-button {
  display: flex;
  justify-content: center;
}

#fomulaire-link {
  background-color: var(--color2);
  border-radius: 15px;
  padding: 10px 15px;
}

#fomulaire-link:hover {
  text-decoration: none;
}

@media screen and (max-width: 500px) {
  a {
    margin: 5px;
  }

  .date{
    font-size: medium;
  }
  
  .date :is(.days, .hours, .minutes, .seconds) div:nth-child(1){
    font-size: 2em;
  }
}

@media screen and (min-width: 1000px){
  nav {
    width: 1000px;
    margin: auto;
  }

  article {
    width: 1000px;
    margin: auto;
  }

  #banner-vid-phone {
    display: none;
  }

  #banner-vid {
    display: block;
  }

  .vid-background {
    margin-bottom: 10px;
  }

  .vid-infos {
    padding: 0;
    max-width: 1000px;
  }

  .overlay-text {
    font-size: xx-large;
    transform: translate(0, -600px);
  }

  #compteRebours {
    font-size: x-large;
  }
}

